Bug 851397 - can not start guest in rhevm
Summary: can not start guest in rhevm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.4
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Martin Kletzander
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-08-24 04:40 UTC by EricLee
Modified: 2013-02-21 07:21 UTC (History)
9 users (show)

Fixed In Version: libvirt-0.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: After rework of the port allocations in libvirt, SPICE port and SPICE TLS port were the same. Consequence: QEMU domains started with both plain and TLS SPICE ports couldn't allocate one port twice. Fix: The port allocation was fixed. Result: QEMU domains with both plain and TLS SPICE ports open could be launched while keeping the reworked code.
Clone Of:
Environment:
Last Closed: 2013-02-21 07:21:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
libvirt.log under /var/log/vdsm dir (3.21 KB, text/plain)
2012-08-24 04:40 UTC, EricLee
no flags Details
vdsm.log under /var/log/vdsm dir (42.11 KB, text/plain)
2012-08-24 04:41 UTC, EricLee
no flags Details
vdsm.log (112.51 KB, text/plain)
2012-08-27 07:11 UTC, EricLee
no flags Details
libvirtd.log (129.97 KB, text/x-log)
2012-08-27 07:12 UTC, EricLee
no flags Details
libvirt.log (3.41 KB, text/x-log)
2012-08-27 07:12 UTC, EricLee
no flags Details
../qemu/guest.log (2.58 KB, text/x-log)
2012-08-27 07:13 UTC, EricLee
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0276 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2013-02-20 21:18:26 UTC

Description EricLee 2012-08-24 04:40:37 UTC
Created attachment 606750 [details]
libvirt.log under /var/log/vdsm dir

Description of problem:
can not start guest in rhevm with newest libvirt package, but working well using libvirt-0.10.0-0rc0.el6.x86_64

Version-Release number of selected component (if applicable):
# rpm -qa libvirt qemu-kvm-rhev kernel vdsm spice-server
vdsm-4.9.6-30.0.el6_3.x86_64
spice-server-0.10.1-10.el6.x86_64
libvirt-0.10.0-0rc1.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.303.el6.x86_64
kernel-2.6.32-298.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Register a host to rhevm with above packages.
2. New a guest in rhevm
3. Run once or just Run it.
4. check vdsm.log
 
Actual results:
Get error:libvirtError: internal error Process exited while reading console log output: char device redirected to /dev/pts/1
do_spice_init: starting 0.10.1
reds_init_socket: reds_init_socket: binding socket to 10.66.5.143:5900 failed
failed to initialize spice server

Expected results:
Work well

Additional info:
Works well with:
# rpm -qa libvirt qemu-kvm-rhev kernel vdsm spice-server
vdsm-4.9.6-30.0.el6_3.x86_64
spice-server-0.10.1-10.el6.x86_64
libvirt-0.10.0-0rc0.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.303.el6.x86_64
kernel-2.6.32-298.el6.x86_64

So tag as regression.

Comment 1 EricLee 2012-08-24 04:41:14 UTC
Created attachment 606751 [details]
vdsm.log under /var/log/vdsm dir

Comment 4 EricLee 2012-08-24 05:39:30 UTC
This problem maybe due to new libvirt package missing some operation of spice-server, because guest can start with VNC Display using the same versions of packages.

Comment 5 EricLee 2012-08-24 06:03:38 UTC
Get similar error even with no vdsm package, when using spice to display the guest.

# virsh dumpxml qcow2
......
    <channel type='spicevmc'>
      <target type='virtio' name='com.redhat.spice.0'/>
      <address type='virtio-serial' controller='0' bus='0' port='1'/>
    </channel>
    <input type='mouse' bus='ps2'/>
    <graphics type='spice' autoport='yes' listen='0' keymap='en-us' passwdValidTo='2022-02-27T19:46:10' connected='disconnect'>
      <listen type='address' address='0'/>
      <channel name='main' mode='secure'/>
      <channel name='inputs' mode='secure'/>
    </graphics>
.....

# virsh start qcow2
error: Failed to start domain qcow2
error: internal error Process exited while reading console log output: char device redirected to /dev/pts/2
do_spice_init: starting 0.10.1
reds_init_socket: reds_init_socket: binding socket to 0:5900 failed
failed to initialize spice server

Comment 6 Martin Kletzander 2012-08-27 06:04:22 UTC
Hi,
I was trying all day, but with no luck, all the machines are still starting, no spice error occurred. Could you post a debug log from libvirt when you are trying to start the machine? Preferably with virsh and both /etc/libvirt/libvirtd.log and /etc/libvirt/qemu/<machinename>.log, please.
Thanks, Martin

Comment 7 EricLee 2012-08-27 07:10:56 UTC
Hi Martin,

I am using RHEVM to reproduce the bug, and got some logs. Please see the attachments.

Thanks,
EricLee

Comment 8 EricLee 2012-08-27 07:11:45 UTC
Created attachment 607141 [details]
vdsm.log

Comment 9 EricLee 2012-08-27 07:12:11 UTC
Created attachment 607142 [details]
libvirtd.log

Comment 10 EricLee 2012-08-27 07:12:39 UTC
Created attachment 607143 [details]
libvirt.log

Comment 11 EricLee 2012-08-27 07:13:13 UTC
Created attachment 607144 [details]
../qemu/guest.log

Comment 12 Martin Kletzander 2012-08-27 08:25:40 UTC
(In reply to comment #9)
This log helped a lot, thanks. Fix is already pushed, so moving to POST based on this commit:

commit 340196c46fc8f4f266d16deb2c70a76d84368584
Author: Martin Kletzander <mkletzan@redhat.com>
Date:   Mon Aug 27 09:41:36 2012 +0200

    qemu: fix regression with spice tls port allocation

Comment 14 EricLee 2012-08-31 02:17:15 UTC
Verified the bug with libvirt-0.10.0-1.el6.

Steps as Description, guest with spice console can start normally in RHEVM.

Moving to VERIFIED.

Comment 15 errata-xmlrpc 2013-02-21 07:21:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html


Note You need to log in before you can comment on or make changes to this bug.